@use '../../stylesheets/core';

@mixin variant($name, $color) {
  &.rui-alert--#{$name} {
    border-color: var(--state-color-#{$color});
    background-color: var(--state-color-#{$color}-alt);
    color: var(--state-color-#{$color});
  }
}

.rui-alert {
  padding: var(--spacer-default);
  border: 1px solid var(--border-color);
  margin-top: var(--spacer-default);
  margin-bottom: var(--spacer-default);
  background-color: var(--background-color);

  &__picture {
    text-align: center;
  }

  &--with-picture {
    display: grid;
    grid-gap: var(--spacer-default);
    grid-template-columns: 1fr;

    @include core.respond-to('medium-up') {
      grid-template-columns: 230px auto;
    }
  }

  @include variant('info', 'blue');
  @include variant('success', 'green');
  @include variant('warning', 'orange');
  @include variant('alert', 'orange');
  @include variant('danger', 'red');
  @include variant('mute', 'mute');

  // Rails notifications
  @include variant('notice', 'green');
}
